Subject: 23.1; emacs gui hangs when title bar is clicked

From: John Wheaton <[email-masked]>
Date: Mon, 10 Jan 2011 14:18:04 -0500

When I have a file open in emacs for awhile, and the windows is out of
focux,
the window will hang if I click on it.  This is with the GUI form of emacs.

I found a related issue that said to use the mouse and select "File |
Save As..." and then cancel the "Write file:" window that appears.  This is
a bit of an inconvenience and should be resolved.

In case it makes a difference, I am running multi-term in emacs.

In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-11-23 on yellow, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--build=x86_64-linux-gnu'
'--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var/lib'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: XML

Minor modes in effect:
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
s <return> j a r SPC x v f SPC c o <tab> h <tab> .
j a r SPC c o h e r e n c e - c a c h e - c o n f i
g . x m l <return> j a r SPC t v f SPC c o h e r <tab>
. <tab> <return> C-c C-c <up> | S-SPC m r e <backspace>
<backspace> p <backspace> o r e <return> SPC SPC SPC
SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC q a r k
SPC c o h e r <tab> . <tab> <return> a r k <tab> <tab>
<tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <escape> <escape> <escape> <escape> <escape>
<help-echo> <down-mouse-1> <mouse-1> c o m p <tab>
<tab> <tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <down-mouse-1> <mouse-1> a
r c <tab> <tab> <tab> <tab> C-c C-c a r c h <return>
a r c <tab> <tab> <backspace> <backspace> <backspace>
C-c C-c C-c <down-mouse-1> <mouse-1> f i l e <tab>
<tab> - r o l <tab> c o h e r <tab> . j a r <tab> <return>
<down-mouse-1> <mouse-1> l s <return> C-x C-f c o h
e r <tab> - <tab> c a <tab> <return> <next> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <next> <next> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<menu-bar> <file> <write-file> <next> M-x r e p o r
t <tab> <return>

Recent messages:
Setting up indent for shell type sh
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type sh
Mark set
Saving file /home/jwheaton/orcl/mw/coherence/bin/coherence.sh...
Wrote /home/jwheaton/orcl/mw/coherence/bin/coherence.sh
Making completion list...
Quit
/usr/bin/mail is not an executable.  Setting mail-interactive to t.